require('circle_manager.lua')
require('title.lua')

function love.update(dt)
	Title.update(dt);
	CircleManager.update(dt);
	CircleManager.resolveCollisions();
end

function love.draw()
	CircleManager.draw();
	Title.draw();
end

function love.mousepressed(x,y,button)
	if(button == 'l') then
		if(not Title.isFinished()) then
			Title.nextScreen();
		else
			CircleManager.addCircle(x,y);
		end
	end
	
	if(button == 'r') then
		if(Title.isFinished()) then
			CircleManager.clear();
		end
	end
end