SoundManager = {
	sounds = {
		{ radius_min = 0,   radius_max = 5,     pitch = 1.0, volume = 1.0, source = love.audio.newSource('sounds/key_c_8.wav','static') },
		{ radius_min = 5,   radius_max = 10,    pitch = 1.0, volume = 1.0, source = love.audio.newSource('sounds/key_a_7.wav','static') },
		{ radius_min = 10,  radius_max = 15,    pitch = 1.0, volume = 1.0, source = love.audio.newSource('sounds/key_g_7.wav','static') },
		{ radius_min = 15,  radius_max = 20,    pitch = 1.0, volume = 1.0, source = love.audio.newSource('sounds/key_e_7.wav','static') },
		{ radius_min = 20,  radius_max = 30,    pitch = 1.0, volume = 1.0, source = love.audio.newSource('sounds/key_d_7.wav','static') },
		{ radius_min = 30,  radius_max = 35,    pitch = 1.0, volume = 1.0, source = love.audio.newSource('sounds/key_c_7.wav','static') },
		{ radius_min = 35,  radius_max = 40,    pitch = 1.0, volume = 1.0, source = love.audio.newSource('sounds/key_d_6.wav','static') },
		{ radius_min = 40,  radius_max = 50,    pitch = 1.0, volume = 1.0, source = love.audio.newSource('sounds/key_a_6.wav','static') },
		{ radius_min = 50,  radius_max = 60,    pitch = 1.0, volume = 1.0, source = love.audio.newSource('sounds/key_g_6.wav','static') },
		{ radius_min = 60,  radius_max = 70,    pitch = 1.0, volume = 1.0, source = love.audio.newSource('sounds/key_f_6.wav','static') },
		{ radius_min = 70,  radius_max = 75,    pitch = 1.0, volume = 1.0, source = love.audio.newSource('sounds/key_c_6.wav','static') },
		{ radius_min = 75,  radius_max = 1000,  pitch = 1.0, volume = 1.0, source = love.audio.newSource('sounds/base_c_5.wav','static') },
	},
	
	playSound = function(radius)
		for i,sound_params in ipairs(SoundManager.sounds) do
			if((radius >= sound_params.radius_min) and (radius < sound_params.radius_max)) then

				sound_params.source:setPitch(sound_params.pitch);
				sound_params.source:setVolume(sound_params.volume);
				
				love.audio.play(sound_params.source)
			end
		end
	end
};
